| IDA SDK

Public Attributes | Public Member Functions | List of all members
simpleline_place_t Class Reference
Simpleline interface

## Detailed Description

A location in a view populated by a strvec_t.

Inherits place_t.

## Public Attributes
uint32 | n
| line number
Public Attributes inherited from place_t
int | lnnum
| Number of line within the current object.

## Public Member Functions
| simpleline_place_t (void)
| Constructor.
| simpleline_place_t (int _n)
| Constructor.
Public Member Functions inherited from place_t
| place_t ()
| Constructor.
| place_t (int ln)
| Constructor.
virtual void idaapi | print (qstring *vout, void *ud) const =0
| Generate a short description of the location. More...
virtual uval_t idaapi | touval (void *ud) const =0
| Map the location to a number. More...
virtual place_t *idaapi | clone (void) const =0
| Clone the location. More...
virtual void idaapi | copyfrom (const place_t *from)=0
| Copy the specified location object to the current object.
virtual place_t *idaapi | makeplace (void *ud, uval_t x, int lnnum) const =0
| Map a number to a location. More...
virtual int idaapi | compare (const place_t *t2) const =0
| Deprecated. Please consider compare2(const place_t *, void *) instead.
virtual void idaapi | adjust (void *ud)=0
| Adjust the current location to point to a displayable object. More...
virtual bool idaapi | prev (void *ud)=0
| Move to the previous displayable location. More...
virtual bool idaapi | next (void *ud)=0
| Move to the next displayable location. More...
virtual bool idaapi | beginning (void *ud) const =0
| Are we at the first displayable object?. More...
virtual bool idaapi | ending (void *ud) const =0
| Are we at the last displayable object?. More...
virtual int idaapi | generate (qstrvec_t *out, int *out_deflnnum, color_t *out_pfx_color, bgcolor_t *out_bgcolor, void *ud, int maxsize) const =0
| Generate text lines for the current location. More...
virtual void idaapi | serialize (bytevec_t *out) const =0
| Serialize this instance. More...
virtual bool idaapi | deserialize (const uchar **pptr, const uchar *end)=0
| De-serialize into this instance. More...
virtual int idaapi | id () const =0
| Get the place's ID (i.e., the value returned by register_place_class()) More...
virtual const char *idaapi | name () const =0
| Get this place type name. More...
virtual ea_t idaapi | toea () const
| Map the location to an ea_t. More...
virtual bool idaapi | rebase (const segm_move_infos_t &)
| Rebase the place instance. More...
virtual place_t *idaapi | enter (uint32 *) const
| Visit this place, possibly 'unhiding' a section of text. More...
virtual void idaapi | leave (uint32) const
| Leave this place, possibly 'hiding' a section of text that was previously expanded (at enter()-time.)
virtual int idaapi | compare2 (const place_t *t2, void *) const
| Compare two locations except line numbers (lnnum). More...

The documentation for this class was generated from the following file:

- kernwin.hpp